Subject: cygwin and pow()
From: [email-masked] (Axel Riese)

7 Apr 1998 06:28:52 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: [email-masked] (GNU-Win32)

Dear all !

Could someone please help me with the following problem. I want to compute
0.5 ^ 0.75, which should give something close to 0.5946...

/*********************************************************************/
/*                           test.c                                  */
/*********************************************************************/

int main()
{
  double result;

  result = pow(0.5, 0.75);
  printf("The result is: %f\n", result);

  return 0;
}

/*********************************************************************/

With Cygnus B19.1, I obtain the following:

> test
The result is: 16416.000000

Mingw32 gives:

> test
The result is: 32.000000

Am I doing something wrong ???????????????????

- Axel

===========================================================================
Axel Riese
Research Institute for Symbolic Computation
J. Kepler University Linz
Altenbergerstrasse 69                           Phone: +43 (0)732 2468 9981
A-4040 Linz                          e-Mail: [email-masked]
Austria             URL: http://www.risc.uni-linz.ac.at/people/ariese/home/
===========================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".